%global packname  Biostrings
%global BioC      2.4
%global Rvers     2.9.0

Name:             R-%{packname}
Version:          2.12.1
Release:          2%{?dist}
Summary:          String objects representing biological sequences

Group:            Applications/Engineering 
License:          Artistic 2.0 
URL:              http://bioconductor.org/packages/%{BioC}/bioc/html/Biostrings.html
Source0:          http://bioconductor.org/packages/%{BioC}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R >= %{Rvers} R-methods R-utils R-IRanges >= 1.1.66 R-Biobase 
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex R >= %{Rvers} R-methods R-utils R-IRanges-devel >= 1.1.66 R-Biobase

%description
Memory efficient string containers, string matching algorithms, and other 
utilities, for fast manipulation of large biological sequences or set of 
sequences.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


# architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

# Empty file
rm -f %{buildroot}%{_libdir}/R/library/%{packname}/doc/GenomeSearching.R

%check
# Requires for R-BSgenome which cannot build without R-Biostring
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
#i386 arch
%dir %{_libdir}/R/library/%{packname}/
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/latex/
%doc %{_libdir}/R/library/%{packname}/man/ 
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/extdata
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/UnitTests
%{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/NAMESPACE

%files devel
%defattr(-,root,root,-)
%{_libdir}/R/library/%{packname}/include

%changelog
* Wed May 06 2009 pingou <pingou@pingoured.fr> 2.12.1-2
- Solve dependencies issue (Add R-Biobase as R and BR)

* Fri May 01 2009 pingou <pingou@pingoured.fr> 2.12.1-1
- Update to 2.12.1

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 2.12.0-1
- Update to Bioconductor 2.4 for R 2.9.0

* Fri Apr 03 2009 pingou <pingou@pingoured.fr> 2.11.47-1
- Update to the development version of bioconductor

* Wed Apr 01 2009 pingou <pingou -AT- pingoured.fr> 2.10.21-2
- Update URL to remove an unused macro
- Improve english in the comments
- Remove pkgconfig as BR of the -devel

* Fri Mar 13 2009 pingou <pingou -AT- pingoured.fr> 2.10.21-1
- initial package for Fedora
